As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 1328559 - WebGL2 Draw samples are not displayed
: WebGL2 Draw samples are not displayed
Status: VERIFIED FIXED
gfx-noted
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: mozilla53
Assigned To: Jeff Gilbert [:jgilbert]
: Mihai Boldan, QA [:mboldan]
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks: webgl2-blockers
  Show dependency treegraph
 
Reported: 2017-01-04 01:50 PST by Mihai Boldan, QA [:mboldan]
Modified: 2017-01-18 11:39 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard: [qe-webgl2]
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
verified
verified
verified

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1328559 - (flattened) Built-in attribs should have location of -1. - (59 bytes, text/x-review-board-request)
2017-01-04 14:56 PST, Jeff Gilbert [:jgilbert]
dmu: review+
jcristau: approval‑mozilla‑aurora+
jcristau: approval‑mozilla‑beta+
Details | Review
Bug 1328559 - Pull in conformance2/programs, including new active built-in attrib test. (59 bytes, text/x-review-board-request)
2017-01-05 01:13 PST, Jeff Gilbert [:jgilbert]
no flags Details | Review

Description User image Mihai Boldan, QA [:mboldan] 2017-01-04 01:50:44 PST
[Affected versions]:
- Firefox 50.1.0, Firefox 51.0b11, Firefox 52.0a2 (2017-01-03), Firefox 53.0a1 (2017-01-03) 
 
[Affected platforms]:
- Windows 8.1x64, Mac OS X 10.11, Ubuntu 16.04x64

[Steps to reproduce]:
1. Launch Firefox.
2. Go to http://webglsamples.org/WebGL2Samples/.
3. Click on the first two options from Draw section (draw_image_space and draw_instanced).

[Expected result]:
- Both samples are correctly displayed.

[Actual result]:
- A black page is displayed.

[Regression range]:
- This is a recent regression. Here is the result from mozregression:
Last good revision: 0de5f500516b0d576fd77f342ac2570b536e8115
First bad revision: c274a7c25dc7e3a9228b3b9a5c1917e985ff4192
Pushlog:
https://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=0de5f500516b0d576fd77f342ac2570b536e8115&tochange=c274a7c25dc7e3a9228b3b9a5c1917e985ff4192

[Additional notes]:
- Note that the third sample from Draw section (draw_primitive_restart) was not working on the previous builds and on the latest builds the sample is correctly displayed.
Comment 1 User image Mihai Boldan, QA [:mboldan] 2017-01-04 05:49:55 PST
Updating the 'Affected platform' list:
- Windows 8.1x64, Mac OS X 10.11

The issue is not reproducible on Ubuntu OSs.
Comment 2 User image Mihai Boldan, QA [:mboldan] 2017-01-04 07:43:20 PST
Since WebGL2 is not implemented in Firefox 50, it's expected for the samples to not be displayed on this specific build.
I'm removing the affected flag for status-firefox50.
Comment 3 User image Astley Chen [:astley] UTC+8 2017-01-04 08:39:26 PST
I'd rather seeing this as an WebGL2 implementation bug than a regression bug since Firefox 51 is the first version supporting WebGL2. Let's keep the trace on bug webgl2-blockers.
Comment 4 User image Jeff Gilbert [:jgilbert] 2017-01-04 13:40:36 PST
We're validating active built-in attrib types, which it seems clear we shouldn't be.
Comment 5 User image Jeff Gilbert [:jgilbert] 2017-01-04 14:56:46 PST Comment hidden (mozreview-request)
Comment 6 User image Daosheng Mu[:daoshengmu] 2017-01-04 18:14:30 PST
Comment on attachment 8823846 [details]
Bug 1328559 - (flattened) Built-in attribs should have location of -1. -

https://reviewboard.mozilla.org/r/102328/#review102750
Comment 7 User image Jeff Gilbert [:jgilbert] 2017-01-05 00:58:25 PST
PR for new test:
https://github.com/KhronosGroup/WebGL/pull/2237
Comment 8 User image Jeff Gilbert [:jgilbert] 2017-01-05 01:00:15 PST
ANGLE is returning >=0 for glGetAttribLocation(prog, "gl_VertexID") when it's active.
The spec is not clear on this, but at least GL on Win+Intel yield -1 for this.
It makes the most sense for this to require that this is -1. Chrome also seems to match this behavior.
Comment 9 User image Jeff Gilbert [:jgilbert] 2017-01-05 01:13:43 PST Comment hidden (mozreview-request)
Comment 10 User image Jeff Gilbert [:jgilbert] 2017-01-05 01:13:43 PST Comment hidden (mozreview-request)
Comment 11 User image Pulsebot 2017-01-05 01:16:43 PST
Pushed by jgilbert@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/cdd2a4506727
(flattened) - Built-in attribs should have location of -1. - r=daoshengmu
Comment 12 User image Jeff Gilbert [:jgilbert] 2017-01-05 01:17:59 PST
(In reply to Mihai Boldan, QA [:mboldan] from comment #1)
> Updating the 'Affected platform' list:
> - Windows 8.1x64, Mac OS X 10.11
> 
> The issue is not reproducible on Ubuntu OSs.

Which OSX GPU vendor is it reproducible on?
Which Linux GPU vendor is it not reproducing on?
Comment 13 User image Jeff Gilbert [:jgilbert] 2017-01-05 01:20:41 PST
I see this reproducing on:
* Win+Any+ANGLE
* Mac+NV

Working fine on:
* Win+NV+GL
Comment 14 User image Julien Cristau [:jcristau] 2017-01-05 01:25:44 PST
FWIW I also can't reproduce on Linux nightly, renderer is "Intel Open Source Technology Center -- Mesa DRI Intel(R) HD Graphics 520 (Skylake GT2)"
Comment 15 User image Jeff Gilbert [:jgilbert] 2017-01-05 01:27:37 PST
Sorry, I have it working fine on Win+Intel+GL. Win+NV+GL is unknown.

I also have it working fine on Win+AMD+GL.
Comment 16 User image Jeff Gilbert [:jgilbert] 2017-01-05 01:31:31 PST
I also see it broken Mac+Intel.
Comment 17 User image Jeff Gilbert [:jgilbert] 2017-01-05 01:57:26 PST Comment hidden (mozreview-request)
Comment 18 User image Pulsebot 2017-01-05 02:00:24 PST
Pushed by jgilbert@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/3b469ed8f819
Remove assert and update comment.
Comment 19 User image Mihai Boldan, QA [:mboldan] 2017-01-05 05:17:06 PST
(In reply to Jeff Gilbert [:jgilbert] from comment #12)
> (In reply to Mihai Boldan, QA [:mboldan] from comment #1)
> > Updating the 'Affected platform' list:
> > - Windows 8.1x64, Mac OS X 10.11
> > 
> > The issue is not reproducible on Ubuntu OSs.
> 
> Which OSX GPU vendor is it reproducible on?
> Which Linux GPU vendor is it not reproducing on?

The tests on Windows an Ubuntu were performed on the same PC - GPU - AMD Radeon HD 6450
And for Mac OS X - GPU - Intel Iris Pro 1536 MB

Please let me know if I can provide you any other information.
Comment 21 User image Jeff Gilbert [:jgilbert] 2017-01-05 20:03:23 PST Comment hidden (mozreview-request)
Comment 22 User image Jeff Gilbert [:jgilbert] 2017-01-05 20:05:38 PST
Comment on attachment 8823846 [details]
Bug 1328559 - (flattened) Built-in attribs should have location of -1. -

Approval Request Comment
[Feature/Bug causing the regression]: webgl2 regression common to content
[User impact if declined]: webgl2 content won't work
[Is this code covered by automated tests?]: tests included with patch, and upstreamed.
[Has the fix been verified in Nightly?]:
[Needs manual test from QE? If yes, steps to reproduce]: 
[List of other uplifts needed for the feature/fix]:
[Is the change risky?]: no
[Why is the change risky/not risky?]: Simple fix, with tests.
[String changes made/needed]:
Comment 23 User image Julien Cristau [:jcristau] 2017-01-06 01:57:56 PST
Comment on attachment 8823846 [details]
Bug 1328559 - (flattened) Built-in attribs should have location of -1. -

webgl2 fix for aurora52 and beta51, should be in 51.0b13
Comment 24 User image Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2017-01-06 05:37:00 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/8828dac80d6e
Comment 25 User image Jeff Gilbert [:jgilbert] 2017-01-06 16:07:36 PST
https://hg.mozilla.org/releases/mozilla-beta/rev/71dcbe4ec7a1
Comment 26 User image Mihai Boldan, QA [:mboldan] 2017-01-09 06:53:28 PST
The issue is no longer reproducible on Firefox 51.0b13(tinderbox build), Firefox 52.0a2 (2017-01-09), or on Firefox 53.0a1 (2017-01-09).
The tests were performed under Windows 10x64, Mac OS X 10.11 and under Ubuntu 16.04x64.

Note You need to log in before you can comment on or make changes to this bug.